﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net.NetworkInformation;
using System.Runtime;
using System.Runtime.InteropServices;
using System.Xml;
namespace QCW
{
    public partial class Form_EthConfig : Form
    {
        [DllImport("wininet.dll")]

        private extern static bool InternetGetConnectedState(int Description,int ReservedValue);

        public Form_EthConfig()
        {
            InitializeComponent();
            button1.Enabled = true;
            button2.Enabled = false;
        }

        public void button1_Click(object sender, EventArgs e)
        {
            string LaserIPAddress = null;
            string strpassword = null;
            XmlDocument xmlDoc = new XmlDocument();
            try
            {
                xmlDoc.Load("Config.xml");
            }
            catch (Exception ex)
            {
                XmlTextWriter writer = new XmlTextWriter("Config.xml", System.Text.Encoding.UTF8);
                //使用自动缩进便于阅读
                writer.Formatting = Formatting.Indented;
                //XML声明 
                writer.WriteStartDocument();
                //书写根元素 
                writer.WriteStartElement("Config");
                //开始一个元素 
                writer.WriteStartElement("item");
                //向先前创建的元素中添加一个属性
                writer.WriteAttributeString("id", "1");
                //添加子元素 
                writer.WriteElementString("SoftFunc", "1234");
                writer.WriteElementString("IP", "192.168.0.10");
                writer.WriteElementString("PASSWORD", "1234");
                //关闭item元素
                writer.WriteEndElement(); // 关闭元素
                writer.WriteEndElement(); // 关闭元素
                //在节点间添加一些空
                writer.WriteEndDocument();
                writer.Close();
                xmlDoc.Load("Config.xml");
            }
            XmlNodeList nodeList = xmlDoc.SelectSingleNode("Config").ChildNodes;//获取Config节点的所有子节点
            foreach (XmlNode xn in nodeList)//遍历所有子节点
            {
                XmlElement xe = (XmlElement)xn;//将子节点类型转换为XmlElement类型
                if (xe.GetAttribute("id") == "1")//如果id属性值为“1”
                {

                    XmlNodeList nls = xe.ChildNodes;//继续获取xe子节点的所有子节点
                    foreach (XmlNode xn1 in nls)//遍历
                    {
                        XmlElement xe2 = (XmlElement)xn1;//转换类型
                        if (xe2.Name == "IP")//如果找到
                        {
                            strpassword = xe2.InnerText;
                            LaserIPAddress = strpassword;
                        }
                    }
                    break;
                }
            }

            if (LaserIPAddress == null) LaserIPAddress = "192.168.0.10";
            //------------使用ping类------
            Ping p1 = new Ping();
            PingReply reply = p1.Send(LaserIPAddress); //发送主机名或Ip地址
            if (reply.Status == IPStatus.Success)
            {
                button1.Enabled = false;
                button2.Enabled = true;
                Form1.form1.Rs232dlg.button3_Click(sender, e);
                Form1.form1.Mycom.myETHCommPro.ETHOpen();
                Form1.form1.toolStripStatusLabel1.Text = "Ethernet " + " Connected.";
                Form1.form1.Mycom.Comtype = 2;
            }
            else if (reply.Status == IPStatus.TimedOut)
            {
                MessageBox.Show("Ethernet time out");
            }
            else
            {
                Console.WriteLine("No Ethernet connect");
            }
        }

        public void button2_Click(object sender, EventArgs e)
        {
            Form1.form1.Mycom.Comtype = 0;
            button1.Enabled = true;
            button2.Enabled = false;
            Form1.form1.Mycom.myETHCommPro.ETHClose();
            Form1.form1.toolStripStatusLabel1.Text = "Ethernet " + " Disconneceted.";

        }

    }
}
